org.thewonderlemming.c4plantuml.graphml.model.builder

## Enum KeyFor

- java.lang.Object
- - java.lang.Enum<KeyFor>
  - - org.thewonderlemming.c4plantuml.graphml.model.builder.KeyFor

- All Implemented Interfaces:
    Serializable, Comparable<KeyFor>

      public enum KeyFor
      extends Enum<KeyFor>

  Holds values for the <for> property of the <key> tag.
  Author:
    thewonderlemming

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` The key is usable by any element of the GraphML.
    `EDGE` The key is targeted at <edge> tags.
    `GRAPH` The key is targeted at <graph> tags..
    `NODE` The key is targeted at <node> tags.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getValue()` Returns the value of the <for> property.
    `static KeyFor` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KeyFor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final KeyFor ALL

      The key is usable by any element of the GraphML.

    - #### EDGE

          public static final KeyFor EDGE

      The key is targeted at <edge> tags.

    - #### GRAPH

          public static final KeyFor GRAPH

      The key is targeted at <graph> tags..

    - #### NODE

          public static final KeyFor NODE

      The key is targeted at <node> tags.

  - ### Method Detail

    - #### values

          public static KeyFor[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyFor c : KeyFor.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyFor valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

      Returns the value of the <for> property.
      Returns:
        the value of the for property.

Copyright © 2020. All rights reserved.